
import java.util.*;

import org.hibernate.*;
import org.hibernate.criterion.*;

public class SimpleRetrieveTest {
	
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table m_EVENTS ( uid int, name VARCHAR, start_Date date, duration int, location_id int);");
		HibernateUtil.setup("create table m_speakers ( uid int, firstName VARCHAR, lastName VARCHAR);");
		HibernateUtil.setup("create table event_speakers (elt int, event_id int, speaker_id int);");
		
		// hibernate code start
		Session session = HibernateUtil.currentSession();
		Transaction tx = session.beginTransaction();


        EventManyToMany event = new EventManyToMany();
        event.setName("Inverse test");
        event.setSpeakers(new HashSet());
        event.getSpeakers().add(new SpeakerManyToMany("John", "Smith", event));
        event.getSpeakers().add(new SpeakerManyToMany("Dave", "Smith", event));
        event.getSpeakers().add(new SpeakerManyToMany("Joan", "Smith", event));


        session.save(event);


        tx.commit();
		HibernateUtil.closeSession();

		HibernateUtil.sessionFactory.close();

        HibernateUtil.checkData("select * from m_speakers");
        HibernateUtil.checkData("select uid, name from m_events");        
		// hibernate code end
	}
	
}